summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-07-19 11:09:22 +0200
committerRemi Collet <remi@remirepo.net>2021-07-19 11:09:22 +0200
commit2b752292911f4bfee7a8298c1fb06b18d074bcf4 (patch)
tree17f4208675465cc3abc5099890c1fd036dd703f0
parent388d08fef187bf71ec0b53f7f384d41fc580d6fc (diff)
update to 1.12.1HEADmaster
allow psr/cache v3 allow Symfony v6
-rw-r--r--composer.json8
-rw-r--r--php-doctrine-cache.spec26
2 files changed, 24 insertions, 10 deletions
diff --git a/composer.json b/composer.json
index c38d062..ddad5f4 100644
--- a/composer.json
+++ b/composer.json
@@ -31,16 +31,16 @@
"phpunit/phpunit": "^7.0 || ^8.0 || ^9.0",
"predis/predis": "~1.0",
"doctrine/coding-standard": "^8.0",
- "psr/cache": "^1.0 || ^2.0",
+ "psr/cache": "^1.0 || ^2.0 || ^3.0",
"cache/integration-tests": "dev-master",
- "symfony/cache": "^4.4 || ^5.2"
+ "symfony/cache": "^4.4 || ^5.2 || ^6.0@dev",
+ "symfony/var-exporter": "^4.4 || ^5.2 || ^6.0@dev"
},
"suggest": {
"alcaeus/mongo-php-adapter": "Required to use legacy MongoDB driver"
},
"conflict": {
- "doctrine/common": ">2.2,<2.4",
- "psr/cache": ">=3"
+ "doctrine/common": ">2.2,<2.4"
},
"autoload": {
"psr-4": { "Doctrine\\Common\\Cache\\": "lib/Doctrine/Common/Cache" }
diff --git a/php-doctrine-cache.spec b/php-doctrine-cache.spec
index 7d1864b..0118783 100644
--- a/php-doctrine-cache.spec
+++ b/php-doctrine-cache.spec
@@ -12,8 +12,8 @@
%global github_owner doctrine
%global github_name cache
-%global github_version 1.11.3
-%global github_commit 3bb5588cec00a0268829cc4a518490df6741af9d
+%global github_version 1.12.1
+%global github_commit 4cf401d14df219fa6f38b671f5493449151c9ad8
%global composer_vendor doctrine
%global composer_project cache
@@ -21,13 +21,14 @@
# "cache/integration-tests": "dev-master",
%global cache_integration_tests_min_ver 0.17
-# "symfony/cache": "^4.4 || ^5.2"
+# "symfony/cache": "^4.4 || ^5.2 || ^6.0@dev",
+# "symfony/var-exporter": "^4.4 || ^5.2 || ^6.0@dev"
%global symfony_min_ver 4.4
-%global symfony_max_ver 5.2
+%global symfony_max_ver 7
-# "psr/cache": "^1.0 || ^2.0"
+# "psr/cache": "^1.0 || ^2.0 || ^3.0"
%global psr_cache_min_ver 1.0
-%global psr_cache_max_ver 3.0
+%global psr_cache_max_ver 4
# "php": "~7.1 || ^8.0"
%global php_min_ver 7.1
@@ -68,10 +69,12 @@ BuildRequires: php-composer(fedora/autoloader)
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires:(php-composer(symfony/cache) >= %{symfony_min_ver} with php-composer(symfony/cache) < %{symfony_max_ver})
+BuildRequires:(php-composer(symfony/var-exporter) >= %{symfony_min_ver} with php-composer(symfony/var-exporter) < %{symfony_max_ver})
BuildRequires:(php-composer(psr/cache) >= %{psr_cache_min_ver} with php-composer(psr/cache) < %{psr_cache_max_ver})
# remirepo:4
%else
BuildRequires: php-symfony4-cache >= %{symfony_min_ver}
+BuildRequires: php-symfony4-var-exporter >= %{symfony_min_ver}
BuildRequires: php-psr-cache >= %{psr_cache_min_ver}
%endif
BuildRequires: php-composer(cache/integration-tests) >= %{cache_integration_tests_min_ver}
@@ -157,11 +160,17 @@ require_once '%{buildroot}%{phpdir}/Doctrine/Common/Cache/autoload.php';
\Fedora\Autoloader\Dependencies::required([
'%{phpdir}/Cache/IntegrationTests/autoload.php',
[
+ '%{phpdir}/Psr/Cache3/autoload.php',
'%{phpdir}/Psr/Cache2/autoload.php',
'%{phpdir}/Psr/Cache/autoload.php',
], [
+ '%{phpdir}/Symfony6/Component/Cache/autoload.php',
'%{phpdir}/Symfony5/Component/Cache/autoload.php',
'%{phpdir}/Symfony4/Component/Cache/autoload.php',
+ ], [
+ '%{phpdir}/Symfony6/Component/VarExporter/autoload.php',
+ '%{phpdir}/Symfony5/Component/VarExporter/autoload.php',
+ '%{phpdir}/Symfony4/Component/VarExporter/autoload.php',
],
]);
BOOTSTRAP
@@ -207,6 +216,11 @@ exit $RETURN_CODE
%changelog
+* Mon Jul 19 2021 Remi Collet <remi@remirepo.net> - 1.12.1-1
+- update to 1.12.1
+- allow psr/cache v3
+- allow Symfony v6
+
* Tue May 25 2021 Remi Collet <remi@remirepo.net> - 1.11.3-1
- update to 1.11.3